tt_message_user(library call)

NAME
tt_message_user — retrieve the user information associated with a message object

SYNOPSIS

#include &<Tt/tt_c.h>
void *tt_message_user(
Tt_message m,
int key);

DESCRIPTION

The tt_message_user function retrieves the user information stored in data cells associated with the specified message object.

The user data is part of the message object (that is, the storage buffer in the application); it is not a part of the actual message. The application can, therefore, only retrieve user information that the application placed in the message.

The m argument is the opaque handle for the message involved in this operation. The key argument is the user data cell to be retrieved. The user data cell must be unique for this message.

RETURN VALUE

Upon successful completion, the tt_message_user function returns the data cell, a piece of arbitrary user data that can hold a void *. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned data:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

The user data cell is intended to hold an address. If the address selected is equal to one of the Tt_status enumerated values, the result of the tt_ptr_error(3) function will not be reliable.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).